package com.unis.base.server.example;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TyChubeilyynbaoExample {
    /**
     * ty_chubeilyynbao
     */
    protected String orderByClause;

    /**
     * ty_chubeilyynbao
     */
    protected boolean distinct;

    /**
     * ty_chubeilyynbao
     */
    protected List<Criteria> oredCriteria;

    public TyChubeilyynbaoExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * ty_chubeilyynbao 2023-12-06
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andPzzbIsNull() {
            addCriterion("pzzb is null");
            return (Criteria) this;
        }

        public Criteria andPzzbIsNotNull() {
            addCriterion("pzzb is not null");
            return (Criteria) this;
        }

        public Criteria andPzzbEqualTo(String value) {
            addCriterion("pzzb =", value, "pzzb");
            return (Criteria) this;
        }

        public Criteria andPzzbNotEqualTo(String value) {
            addCriterion("pzzb <>", value, "pzzb");
            return (Criteria) this;
        }

        public Criteria andPzzbGreaterThan(String value) {
            addCriterion("pzzb >", value, "pzzb");
            return (Criteria) this;
        }

        public Criteria andPzzbGreaterThanOrEqualTo(String value) {
            addCriterion("pzzb >=", value, "pzzb");
            return (Criteria) this;
        }

        public Criteria andPzzbLessThan(String value) {
            addCriterion("pzzb <", value, "pzzb");
            return (Criteria) this;
        }

        public Criteria andPzzbLessThanOrEqualTo(String value) {
            addCriterion("pzzb <=", value, "pzzb");
            return (Criteria) this;
        }

        public Criteria andPzzbLike(String value) {
            addCriterion("pzzb like", value, "pzzb");
            return (Criteria) this;
        }

        public Criteria andPzzbNotLike(String value) {
            addCriterion("pzzb not like", value, "pzzb");
            return (Criteria) this;
        }

        public Criteria andPzzbIn(List<String> values) {
            addCriterion("pzzb in", values, "pzzb");
            return (Criteria) this;
        }

        public Criteria andPzzbNotIn(List<String> values) {
            addCriterion("pzzb not in", values, "pzzb");
            return (Criteria) this;
        }

        public Criteria andPzzbBetween(String value1, String value2) {
            addCriterion("pzzb between", value1, value2, "pzzb");
            return (Criteria) this;
        }

        public Criteria andPzzbNotBetween(String value1, String value2) {
            addCriterion("pzzb not between", value1, value2, "pzzb");
            return (Criteria) this;
        }

        public Criteria andQckcIsNull() {
            addCriterion("qckc is null");
            return (Criteria) this;
        }

        public Criteria andQckcIsNotNull() {
            addCriterion("qckc is not null");
            return (Criteria) this;
        }

        public Criteria andQckcEqualTo(String value) {
            addCriterion("qckc =", value, "qckc");
            return (Criteria) this;
        }

        public Criteria andQckcNotEqualTo(String value) {
            addCriterion("qckc <>", value, "qckc");
            return (Criteria) this;
        }

        public Criteria andQckcGreaterThan(String value) {
            addCriterion("qckc >", value, "qckc");
            return (Criteria) this;
        }

        public Criteria andQckcGreaterThanOrEqualTo(String value) {
            addCriterion("qckc >=", value, "qckc");
            return (Criteria) this;
        }

        public Criteria andQckcLessThan(String value) {
            addCriterion("qckc <", value, "qckc");
            return (Criteria) this;
        }

        public Criteria andQckcLessThanOrEqualTo(String value) {
            addCriterion("qckc <=", value, "qckc");
            return (Criteria) this;
        }

        public Criteria andQckcLike(String value) {
            addCriterion("qckc like", value, "qckc");
            return (Criteria) this;
        }

        public Criteria andQckcNotLike(String value) {
            addCriterion("qckc not like", value, "qckc");
            return (Criteria) this;
        }

        public Criteria andQckcIn(List<String> values) {
            addCriterion("qckc in", values, "qckc");
            return (Criteria) this;
        }

        public Criteria andQckcNotIn(List<String> values) {
            addCriterion("qckc not in", values, "qckc");
            return (Criteria) this;
        }

        public Criteria andQckcBetween(String value1, String value2) {
            addCriterion("qckc between", value1, value2, "qckc");
            return (Criteria) this;
        }

        public Criteria andQckcNotBetween(String value1, String value2) {
            addCriterion("qckc not between", value1, value2, "qckc");
            return (Criteria) this;
        }

        public Criteria andSrhjxjIsNull() {
            addCriterion("srhjxj is null");
            return (Criteria) this;
        }

        public Criteria andSrhjxjIsNotNull() {
            addCriterion("srhjxj is not null");
            return (Criteria) this;
        }

        public Criteria andSrhjxjEqualTo(String value) {
            addCriterion("srhjxj =", value, "srhjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjxjNotEqualTo(String value) {
            addCriterion("srhjxj <>", value, "srhjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjxjGreaterThan(String value) {
            addCriterion("srhjxj >", value, "srhjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjxjGreaterThanOrEqualTo(String value) {
            addCriterion("srhjxj >=", value, "srhjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjxjLessThan(String value) {
            addCriterion("srhjxj <", value, "srhjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjxjLessThanOrEqualTo(String value) {
            addCriterion("srhjxj <=", value, "srhjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjxjLike(String value) {
            addCriterion("srhjxj like", value, "srhjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjxjNotLike(String value) {
            addCriterion("srhjxj not like", value, "srhjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjxjIn(List<String> values) {
            addCriterion("srhjxj in", values, "srhjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjxjNotIn(List<String> values) {
            addCriterion("srhjxj not in", values, "srhjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjxjBetween(String value1, String value2) {
            addCriterion("srhjxj between", value1, value2, "srhjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjxjNotBetween(String value1, String value2) {
            addCriterion("srhjxj not between", value1, value2, "srhjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjcsczgjxjIsNull() {
            addCriterion("srhjcsczgjxj is null");
            return (Criteria) this;
        }

        public Criteria andSrhjcsczgjxjIsNotNull() {
            addCriterion("srhjcsczgjxj is not null");
            return (Criteria) this;
        }

        public Criteria andSrhjcsczgjxjEqualTo(String value) {
            addCriterion("srhjcsczgjxj =", value, "srhjcsczgjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjcsczgjxjNotEqualTo(String value) {
            addCriterion("srhjcsczgjxj <>", value, "srhjcsczgjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjcsczgjxjGreaterThan(String value) {
            addCriterion("srhjcsczgjxj >", value, "srhjcsczgjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjcsczgjxjGreaterThanOrEqualTo(String value) {
            addCriterion("srhjcsczgjxj >=", value, "srhjcsczgjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjcsczgjxjLessThan(String value) {
            addCriterion("srhjcsczgjxj <", value, "srhjcsczgjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjcsczgjxjLessThanOrEqualTo(String value) {
            addCriterion("srhjcsczgjxj <=", value, "srhjcsczgjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjcsczgjxjLike(String value) {
            addCriterion("srhjcsczgjxj like", value, "srhjcsczgjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjcsczgjxjNotLike(String value) {
            addCriterion("srhjcsczgjxj not like", value, "srhjcsczgjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjcsczgjxjIn(List<String> values) {
            addCriterion("srhjcsczgjxj in", values, "srhjcsczgjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjcsczgjxjNotIn(List<String> values) {
            addCriterion("srhjcsczgjxj not in", values, "srhjcsczgjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjcsczgjxjBetween(String value1, String value2) {
            addCriterion("srhjcsczgjxj between", value1, value2, "srhjcsczgjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjcsczgjxjNotBetween(String value1, String value2) {
            addCriterion("srhjcsczgjxj not between", value1, value2, "srhjcsczgjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjcsczgjswIsNull() {
            addCriterion("srhjcsczgjsw is null");
            return (Criteria) this;
        }

        public Criteria andSrhjcsczgjswIsNotNull() {
            addCriterion("srhjcsczgjsw is not null");
            return (Criteria) this;
        }

        public Criteria andSrhjcsczgjswEqualTo(String value) {
            addCriterion("srhjcsczgjsw =", value, "srhjcsczgjsw");
            return (Criteria) this;
        }

        public Criteria andSrhjcsczgjswNotEqualTo(String value) {
            addCriterion("srhjcsczgjsw <>", value, "srhjcsczgjsw");
            return (Criteria) this;
        }

        public Criteria andSrhjcsczgjswGreaterThan(String value) {
            addCriterion("srhjcsczgjsw >", value, "srhjcsczgjsw");
            return (Criteria) this;
        }

        public Criteria andSrhjcsczgjswGreaterThanOrEqualTo(String value) {
            addCriterion("srhjcsczgjsw >=", value, "srhjcsczgjsw");
            return (Criteria) this;
        }

        public Criteria andSrhjcsczgjswLessThan(String value) {
            addCriterion("srhjcsczgjsw <", value, "srhjcsczgjsw");
            return (Criteria) this;
        }

        public Criteria andSrhjcsczgjswLessThanOrEqualTo(String value) {
            addCriterion("srhjcsczgjsw <=", value, "srhjcsczgjsw");
            return (Criteria) this;
        }

        public Criteria andSrhjcsczgjswLike(String value) {
            addCriterion("srhjcsczgjsw like", value, "srhjcsczgjsw");
            return (Criteria) this;
        }

        public Criteria andSrhjcsczgjswNotLike(String value) {
            addCriterion("srhjcsczgjsw not like", value, "srhjcsczgjsw");
            return (Criteria) this;
        }

        public Criteria andSrhjcsczgjswIn(List<String> values) {
            addCriterion("srhjcsczgjsw in", values, "srhjcsczgjsw");
            return (Criteria) this;
        }

        public Criteria andSrhjcsczgjswNotIn(List<String> values) {
            addCriterion("srhjcsczgjsw not in", values, "srhjcsczgjsw");
            return (Criteria) this;
        }

        public Criteria andSrhjcsczgjswBetween(String value1, String value2) {
            addCriterion("srhjcsczgjsw between", value1, value2, "srhjcsczgjsw");
            return (Criteria) this;
        }

        public Criteria andSrhjcsczgjswNotBetween(String value1, String value2) {
            addCriterion("srhjcsczgjsw not between", value1, value2, "srhjcsczgjsw");
            return (Criteria) this;
        }

        public Criteria andSrhjcqygjxjIsNull() {
            addCriterion("srhjcqygjxj is null");
            return (Criteria) this;
        }

        public Criteria andSrhjcqygjxjIsNotNull() {
            addCriterion("srhjcqygjxj is not null");
            return (Criteria) this;
        }

        public Criteria andSrhjcqygjxjEqualTo(String value) {
            addCriterion("srhjcqygjxj =", value, "srhjcqygjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjcqygjxjNotEqualTo(String value) {
            addCriterion("srhjcqygjxj <>", value, "srhjcqygjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjcqygjxjGreaterThan(String value) {
            addCriterion("srhjcqygjxj >", value, "srhjcqygjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjcqygjxjGreaterThanOrEqualTo(String value) {
            addCriterion("srhjcqygjxj >=", value, "srhjcqygjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjcqygjxjLessThan(String value) {
            addCriterion("srhjcqygjxj <", value, "srhjcqygjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjcqygjxjLessThanOrEqualTo(String value) {
            addCriterion("srhjcqygjxj <=", value, "srhjcqygjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjcqygjxjLike(String value) {
            addCriterion("srhjcqygjxj like", value, "srhjcqygjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjcqygjxjNotLike(String value) {
            addCriterion("srhjcqygjxj not like", value, "srhjcqygjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjcqygjxjIn(List<String> values) {
            addCriterion("srhjcqygjxj in", values, "srhjcqygjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjcqygjxjNotIn(List<String> values) {
            addCriterion("srhjcqygjxj not in", values, "srhjcqygjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjcqygjxjBetween(String value1, String value2) {
            addCriterion("srhjcqygjxj between", value1, value2, "srhjcqygjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjcqygjxjNotBetween(String value1, String value2) {
            addCriterion("srhjcqygjxj not between", value1, value2, "srhjcqygjxj");
            return (Criteria) this;
        }

        public Criteria andSrhjcqygjswIsNull() {
            addCriterion("srhjcqygjsw is null");
            return (Criteria) this;
        }

        public Criteria andSrhjcqygjswIsNotNull() {
            addCriterion("srhjcqygjsw is not null");
            return (Criteria) this;
        }

        public Criteria andSrhjcqygjswEqualTo(String value) {
            addCriterion("srhjcqygjsw =", value, "srhjcqygjsw");
            return (Criteria) this;
        }

        public Criteria andSrhjcqygjswNotEqualTo(String value) {
            addCriterion("srhjcqygjsw <>", value, "srhjcqygjsw");
            return (Criteria) this;
        }

        public Criteria andSrhjcqygjswGreaterThan(String value) {
            addCriterion("srhjcqygjsw >", value, "srhjcqygjsw");
            return (Criteria) this;
        }

        public Criteria andSrhjcqygjswGreaterThanOrEqualTo(String value) {
            addCriterion("srhjcqygjsw >=", value, "srhjcqygjsw");
            return (Criteria) this;
        }

        public Criteria andSrhjcqygjswLessThan(String value) {
            addCriterion("srhjcqygjsw <", value, "srhjcqygjsw");
            return (Criteria) this;
        }

        public Criteria andSrhjcqygjswLessThanOrEqualTo(String value) {
            addCriterion("srhjcqygjsw <=", value, "srhjcqygjsw");
            return (Criteria) this;
        }

        public Criteria andSrhjcqygjswLike(String value) {
            addCriterion("srhjcqygjsw like", value, "srhjcqygjsw");
            return (Criteria) this;
        }

        public Criteria andSrhjcqygjswNotLike(String value) {
            addCriterion("srhjcqygjsw not like", value, "srhjcqygjsw");
            return (Criteria) this;
        }

        public Criteria andSrhjcqygjswIn(List<String> values) {
            addCriterion("srhjcqygjsw in", values, "srhjcqygjsw");
            return (Criteria) this;
        }

        public Criteria andSrhjcqygjswNotIn(List<String> values) {
            addCriterion("srhjcqygjsw not in", values, "srhjcqygjsw");
            return (Criteria) this;
        }

        public Criteria andSrhjcqygjswBetween(String value1, String value2) {
            addCriterion("srhjcqygjsw between", value1, value2, "srhjcqygjsw");
            return (Criteria) this;
        }

        public Criteria andSrhjcqygjswNotBetween(String value1, String value2) {
            addCriterion("srhjcqygjsw not between", value1, value2, "srhjcqygjsw");
            return (Criteria) this;
        }

        public Criteria andSrhjsplyzrIsNull() {
            addCriterion("srhjsplyzr is null");
            return (Criteria) this;
        }

        public Criteria andSrhjsplyzrIsNotNull() {
            addCriterion("srhjsplyzr is not null");
            return (Criteria) this;
        }

        public Criteria andSrhjsplyzrEqualTo(String value) {
            addCriterion("srhjsplyzr =", value, "srhjsplyzr");
            return (Criteria) this;
        }

        public Criteria andSrhjsplyzrNotEqualTo(String value) {
            addCriterion("srhjsplyzr <>", value, "srhjsplyzr");
            return (Criteria) this;
        }

        public Criteria andSrhjsplyzrGreaterThan(String value) {
            addCriterion("srhjsplyzr >", value, "srhjsplyzr");
            return (Criteria) this;
        }

        public Criteria andSrhjsplyzrGreaterThanOrEqualTo(String value) {
            addCriterion("srhjsplyzr >=", value, "srhjsplyzr");
            return (Criteria) this;
        }

        public Criteria andSrhjsplyzrLessThan(String value) {
            addCriterion("srhjsplyzr <", value, "srhjsplyzr");
            return (Criteria) this;
        }

        public Criteria andSrhjsplyzrLessThanOrEqualTo(String value) {
            addCriterion("srhjsplyzr <=", value, "srhjsplyzr");
            return (Criteria) this;
        }

        public Criteria andSrhjsplyzrLike(String value) {
            addCriterion("srhjsplyzr like", value, "srhjsplyzr");
            return (Criteria) this;
        }

        public Criteria andSrhjsplyzrNotLike(String value) {
            addCriterion("srhjsplyzr not like", value, "srhjsplyzr");
            return (Criteria) this;
        }

        public Criteria andSrhjsplyzrIn(List<String> values) {
            addCriterion("srhjsplyzr in", values, "srhjsplyzr");
            return (Criteria) this;
        }

        public Criteria andSrhjsplyzrNotIn(List<String> values) {
            addCriterion("srhjsplyzr not in", values, "srhjsplyzr");
            return (Criteria) this;
        }

        public Criteria andSrhjsplyzrBetween(String value1, String value2) {
            addCriterion("srhjsplyzr between", value1, value2, "srhjsplyzr");
            return (Criteria) this;
        }

        public Criteria andSrhjsplyzrNotBetween(String value1, String value2) {
            addCriterion("srhjsplyzr not between", value1, value2, "srhjsplyzr");
            return (Criteria) this;
        }

        public Criteria andSrhjjkIsNull() {
            addCriterion("srhjjk is null");
            return (Criteria) this;
        }

        public Criteria andSrhjjkIsNotNull() {
            addCriterion("srhjjk is not null");
            return (Criteria) this;
        }

        public Criteria andSrhjjkEqualTo(String value) {
            addCriterion("srhjjk =", value, "srhjjk");
            return (Criteria) this;
        }

        public Criteria andSrhjjkNotEqualTo(String value) {
            addCriterion("srhjjk <>", value, "srhjjk");
            return (Criteria) this;
        }

        public Criteria andSrhjjkGreaterThan(String value) {
            addCriterion("srhjjk >", value, "srhjjk");
            return (Criteria) this;
        }

        public Criteria andSrhjjkGreaterThanOrEqualTo(String value) {
            addCriterion("srhjjk >=", value, "srhjjk");
            return (Criteria) this;
        }

        public Criteria andSrhjjkLessThan(String value) {
            addCriterion("srhjjk <", value, "srhjjk");
            return (Criteria) this;
        }

        public Criteria andSrhjjkLessThanOrEqualTo(String value) {
            addCriterion("srhjjk <=", value, "srhjjk");
            return (Criteria) this;
        }

        public Criteria andSrhjjkLike(String value) {
            addCriterion("srhjjk like", value, "srhjjk");
            return (Criteria) this;
        }

        public Criteria andSrhjjkNotLike(String value) {
            addCriterion("srhjjk not like", value, "srhjjk");
            return (Criteria) this;
        }

        public Criteria andSrhjjkIn(List<String> values) {
            addCriterion("srhjjk in", values, "srhjjk");
            return (Criteria) this;
        }

        public Criteria andSrhjjkNotIn(List<String> values) {
            addCriterion("srhjjk not in", values, "srhjjk");
            return (Criteria) this;
        }

        public Criteria andSrhjjkBetween(String value1, String value2) {
            addCriterion("srhjjk between", value1, value2, "srhjjk");
            return (Criteria) this;
        }

        public Criteria andSrhjjkNotBetween(String value1, String value2) {
            addCriterion("srhjjk not between", value1, value2, "srhjjk");
            return (Criteria) this;
        }

        public Criteria andSrhjqtsrIsNull() {
            addCriterion("srhjqtsr is null");
            return (Criteria) this;
        }

        public Criteria andSrhjqtsrIsNotNull() {
            addCriterion("srhjqtsr is not null");
            return (Criteria) this;
        }

        public Criteria andSrhjqtsrEqualTo(String value) {
            addCriterion("srhjqtsr =", value, "srhjqtsr");
            return (Criteria) this;
        }

        public Criteria andSrhjqtsrNotEqualTo(String value) {
            addCriterion("srhjqtsr <>", value, "srhjqtsr");
            return (Criteria) this;
        }

        public Criteria andSrhjqtsrGreaterThan(String value) {
            addCriterion("srhjqtsr >", value, "srhjqtsr");
            return (Criteria) this;
        }

        public Criteria andSrhjqtsrGreaterThanOrEqualTo(String value) {
            addCriterion("srhjqtsr >=", value, "srhjqtsr");
            return (Criteria) this;
        }

        public Criteria andSrhjqtsrLessThan(String value) {
            addCriterion("srhjqtsr <", value, "srhjqtsr");
            return (Criteria) this;
        }

        public Criteria andSrhjqtsrLessThanOrEqualTo(String value) {
            addCriterion("srhjqtsr <=", value, "srhjqtsr");
            return (Criteria) this;
        }

        public Criteria andSrhjqtsrLike(String value) {
            addCriterion("srhjqtsr like", value, "srhjqtsr");
            return (Criteria) this;
        }

        public Criteria andSrhjqtsrNotLike(String value) {
            addCriterion("srhjqtsr not like", value, "srhjqtsr");
            return (Criteria) this;
        }

        public Criteria andSrhjqtsrIn(List<String> values) {
            addCriterion("srhjqtsr in", values, "srhjqtsr");
            return (Criteria) this;
        }

        public Criteria andSrhjqtsrNotIn(List<String> values) {
            addCriterion("srhjqtsr not in", values, "srhjqtsr");
            return (Criteria) this;
        }

        public Criteria andSrhjqtsrBetween(String value1, String value2) {
            addCriterion("srhjqtsr between", value1, value2, "srhjqtsr");
            return (Criteria) this;
        }

        public Criteria andSrhjqtsrNotBetween(String value1, String value2) {
            addCriterion("srhjqtsr not between", value1, value2, "srhjqtsr");
            return (Criteria) this;
        }

        public Criteria andZchjxjIsNull() {
            addCriterion("zchjxj is null");
            return (Criteria) this;
        }

        public Criteria andZchjxjIsNotNull() {
            addCriterion("zchjxj is not null");
            return (Criteria) this;
        }

        public Criteria andZchjxjEqualTo(String value) {
            addCriterion("zchjxj =", value, "zchjxj");
            return (Criteria) this;
        }

        public Criteria andZchjxjNotEqualTo(String value) {
            addCriterion("zchjxj <>", value, "zchjxj");
            return (Criteria) this;
        }

        public Criteria andZchjxjGreaterThan(String value) {
            addCriterion("zchjxj >", value, "zchjxj");
            return (Criteria) this;
        }

        public Criteria andZchjxjGreaterThanOrEqualTo(String value) {
            addCriterion("zchjxj >=", value, "zchjxj");
            return (Criteria) this;
        }

        public Criteria andZchjxjLessThan(String value) {
            addCriterion("zchjxj <", value, "zchjxj");
            return (Criteria) this;
        }

        public Criteria andZchjxjLessThanOrEqualTo(String value) {
            addCriterion("zchjxj <=", value, "zchjxj");
            return (Criteria) this;
        }

        public Criteria andZchjxjLike(String value) {
            addCriterion("zchjxj like", value, "zchjxj");
            return (Criteria) this;
        }

        public Criteria andZchjxjNotLike(String value) {
            addCriterion("zchjxj not like", value, "zchjxj");
            return (Criteria) this;
        }

        public Criteria andZchjxjIn(List<String> values) {
            addCriterion("zchjxj in", values, "zchjxj");
            return (Criteria) this;
        }

        public Criteria andZchjxjNotIn(List<String> values) {
            addCriterion("zchjxj not in", values, "zchjxj");
            return (Criteria) this;
        }

        public Criteria andZchjxjBetween(String value1, String value2) {
            addCriterion("zchjxj between", value1, value2, "zchjxj");
            return (Criteria) this;
        }

        public Criteria andZchjxjNotBetween(String value1, String value2) {
            addCriterion("zchjxj not between", value1, value2, "zchjxj");
            return (Criteria) this;
        }

        public Criteria andZchjxsxjIsNull() {
            addCriterion("zchjxsxj is null");
            return (Criteria) this;
        }

        public Criteria andZchjxsxjIsNotNull() {
            addCriterion("zchjxsxj is not null");
            return (Criteria) this;
        }

        public Criteria andZchjxsxjEqualTo(String value) {
            addCriterion("zchjxsxj =", value, "zchjxsxj");
            return (Criteria) this;
        }

        public Criteria andZchjxsxjNotEqualTo(String value) {
            addCriterion("zchjxsxj <>", value, "zchjxsxj");
            return (Criteria) this;
        }

        public Criteria andZchjxsxjGreaterThan(String value) {
            addCriterion("zchjxsxj >", value, "zchjxsxj");
            return (Criteria) this;
        }

        public Criteria andZchjxsxjGreaterThanOrEqualTo(String value) {
            addCriterion("zchjxsxj >=", value, "zchjxsxj");
            return (Criteria) this;
        }

        public Criteria andZchjxsxjLessThan(String value) {
            addCriterion("zchjxsxj <", value, "zchjxsxj");
            return (Criteria) this;
        }

        public Criteria andZchjxsxjLessThanOrEqualTo(String value) {
            addCriterion("zchjxsxj <=", value, "zchjxsxj");
            return (Criteria) this;
        }

        public Criteria andZchjxsxjLike(String value) {
            addCriterion("zchjxsxj like", value, "zchjxsxj");
            return (Criteria) this;
        }

        public Criteria andZchjxsxjNotLike(String value) {
            addCriterion("zchjxsxj not like", value, "zchjxsxj");
            return (Criteria) this;
        }

        public Criteria andZchjxsxjIn(List<String> values) {
            addCriterion("zchjxsxj in", values, "zchjxsxj");
            return (Criteria) this;
        }

        public Criteria andZchjxsxjNotIn(List<String> values) {
            addCriterion("zchjxsxj not in", values, "zchjxsxj");
            return (Criteria) this;
        }

        public Criteria andZchjxsxjBetween(String value1, String value2) {
            addCriterion("zchjxsxj between", value1, value2, "zchjxsxj");
            return (Criteria) this;
        }

        public Criteria andZchjxsxjNotBetween(String value1, String value2) {
            addCriterion("zchjxsxj not between", value1, value2, "zchjxsxj");
            return (Criteria) this;
        }

        public Criteria andZchjxsswIsNull() {
            addCriterion("zchjxssw is null");
            return (Criteria) this;
        }

        public Criteria andZchjxsswIsNotNull() {
            addCriterion("zchjxssw is not null");
            return (Criteria) this;
        }

        public Criteria andZchjxsswEqualTo(String value) {
            addCriterion("zchjxssw =", value, "zchjxssw");
            return (Criteria) this;
        }

        public Criteria andZchjxsswNotEqualTo(String value) {
            addCriterion("zchjxssw <>", value, "zchjxssw");
            return (Criteria) this;
        }

        public Criteria andZchjxsswGreaterThan(String value) {
            addCriterion("zchjxssw >", value, "zchjxssw");
            return (Criteria) this;
        }

        public Criteria andZchjxsswGreaterThanOrEqualTo(String value) {
            addCriterion("zchjxssw >=", value, "zchjxssw");
            return (Criteria) this;
        }

        public Criteria andZchjxsswLessThan(String value) {
            addCriterion("zchjxssw <", value, "zchjxssw");
            return (Criteria) this;
        }

        public Criteria andZchjxsswLessThanOrEqualTo(String value) {
            addCriterion("zchjxssw <=", value, "zchjxssw");
            return (Criteria) this;
        }

        public Criteria andZchjxsswLike(String value) {
            addCriterion("zchjxssw like", value, "zchjxssw");
            return (Criteria) this;
        }

        public Criteria andZchjxsswNotLike(String value) {
            addCriterion("zchjxssw not like", value, "zchjxssw");
            return (Criteria) this;
        }

        public Criteria andZchjxsswIn(List<String> values) {
            addCriterion("zchjxssw in", values, "zchjxssw");
            return (Criteria) this;
        }

        public Criteria andZchjxsswNotIn(List<String> values) {
            addCriterion("zchjxssw not in", values, "zchjxssw");
            return (Criteria) this;
        }

        public Criteria andZchjxsswBetween(String value1, String value2) {
            addCriterion("zchjxssw between", value1, value2, "zchjxssw");
            return (Criteria) this;
        }

        public Criteria andZchjxsswNotBetween(String value1, String value2) {
            addCriterion("zchjxssw not between", value1, value2, "zchjxssw");
            return (Criteria) this;
        }

        public Criteria andZchjzzsplyIsNull() {
            addCriterion("zchjzzsply is null");
            return (Criteria) this;
        }

        public Criteria andZchjzzsplyIsNotNull() {
            addCriterion("zchjzzsply is not null");
            return (Criteria) this;
        }

        public Criteria andZchjzzsplyEqualTo(String value) {
            addCriterion("zchjzzsply =", value, "zchjzzsply");
            return (Criteria) this;
        }

        public Criteria andZchjzzsplyNotEqualTo(String value) {
            addCriterion("zchjzzsply <>", value, "zchjzzsply");
            return (Criteria) this;
        }

        public Criteria andZchjzzsplyGreaterThan(String value) {
            addCriterion("zchjzzsply >", value, "zchjzzsply");
            return (Criteria) this;
        }

        public Criteria andZchjzzsplyGreaterThanOrEqualTo(String value) {
            addCriterion("zchjzzsply >=", value, "zchjzzsply");
            return (Criteria) this;
        }

        public Criteria andZchjzzsplyLessThan(String value) {
            addCriterion("zchjzzsply <", value, "zchjzzsply");
            return (Criteria) this;
        }

        public Criteria andZchjzzsplyLessThanOrEqualTo(String value) {
            addCriterion("zchjzzsply <=", value, "zchjzzsply");
            return (Criteria) this;
        }

        public Criteria andZchjzzsplyLike(String value) {
            addCriterion("zchjzzsply like", value, "zchjzzsply");
            return (Criteria) this;
        }

        public Criteria andZchjzzsplyNotLike(String value) {
            addCriterion("zchjzzsply not like", value, "zchjzzsply");
            return (Criteria) this;
        }

        public Criteria andZchjzzsplyIn(List<String> values) {
            addCriterion("zchjzzsply in", values, "zchjzzsply");
            return (Criteria) this;
        }

        public Criteria andZchjzzsplyNotIn(List<String> values) {
            addCriterion("zchjzzsply not in", values, "zchjzzsply");
            return (Criteria) this;
        }

        public Criteria andZchjzzsplyBetween(String value1, String value2) {
            addCriterion("zchjzzsply between", value1, value2, "zchjzzsply");
            return (Criteria) this;
        }

        public Criteria andZchjzzsplyNotBetween(String value1, String value2) {
            addCriterion("zchjzzsply not between", value1, value2, "zchjzzsply");
            return (Criteria) this;
        }

        public Criteria andZchjckIsNull() {
            addCriterion("zchjck is null");
            return (Criteria) this;
        }

        public Criteria andZchjckIsNotNull() {
            addCriterion("zchjck is not null");
            return (Criteria) this;
        }

        public Criteria andZchjckEqualTo(String value) {
            addCriterion("zchjck =", value, "zchjck");
            return (Criteria) this;
        }

        public Criteria andZchjckNotEqualTo(String value) {
            addCriterion("zchjck <>", value, "zchjck");
            return (Criteria) this;
        }

        public Criteria andZchjckGreaterThan(String value) {
            addCriterion("zchjck >", value, "zchjck");
            return (Criteria) this;
        }

        public Criteria andZchjckGreaterThanOrEqualTo(String value) {
            addCriterion("zchjck >=", value, "zchjck");
            return (Criteria) this;
        }

        public Criteria andZchjckLessThan(String value) {
            addCriterion("zchjck <", value, "zchjck");
            return (Criteria) this;
        }

        public Criteria andZchjckLessThanOrEqualTo(String value) {
            addCriterion("zchjck <=", value, "zchjck");
            return (Criteria) this;
        }

        public Criteria andZchjckLike(String value) {
            addCriterion("zchjck like", value, "zchjck");
            return (Criteria) this;
        }

        public Criteria andZchjckNotLike(String value) {
            addCriterion("zchjck not like", value, "zchjck");
            return (Criteria) this;
        }

        public Criteria andZchjckIn(List<String> values) {
            addCriterion("zchjck in", values, "zchjck");
            return (Criteria) this;
        }

        public Criteria andZchjckNotIn(List<String> values) {
            addCriterion("zchjck not in", values, "zchjck");
            return (Criteria) this;
        }

        public Criteria andZchjckBetween(String value1, String value2) {
            addCriterion("zchjck between", value1, value2, "zchjck");
            return (Criteria) this;
        }

        public Criteria andZchjckNotBetween(String value1, String value2) {
            addCriterion("zchjck not between", value1, value2, "zchjck");
            return (Criteria) this;
        }

        public Criteria andZchjqtzcIsNull() {
            addCriterion("zchjqtzc is null");
            return (Criteria) this;
        }

        public Criteria andZchjqtzcIsNotNull() {
            addCriterion("zchjqtzc is not null");
            return (Criteria) this;
        }

        public Criteria andZchjqtzcEqualTo(String value) {
            addCriterion("zchjqtzc =", value, "zchjqtzc");
            return (Criteria) this;
        }

        public Criteria andZchjqtzcNotEqualTo(String value) {
            addCriterion("zchjqtzc <>", value, "zchjqtzc");
            return (Criteria) this;
        }

        public Criteria andZchjqtzcGreaterThan(String value) {
            addCriterion("zchjqtzc >", value, "zchjqtzc");
            return (Criteria) this;
        }

        public Criteria andZchjqtzcGreaterThanOrEqualTo(String value) {
            addCriterion("zchjqtzc >=", value, "zchjqtzc");
            return (Criteria) this;
        }

        public Criteria andZchjqtzcLessThan(String value) {
            addCriterion("zchjqtzc <", value, "zchjqtzc");
            return (Criteria) this;
        }

        public Criteria andZchjqtzcLessThanOrEqualTo(String value) {
            addCriterion("zchjqtzc <=", value, "zchjqtzc");
            return (Criteria) this;
        }

        public Criteria andZchjqtzcLike(String value) {
            addCriterion("zchjqtzc like", value, "zchjqtzc");
            return (Criteria) this;
        }

        public Criteria andZchjqtzcNotLike(String value) {
            addCriterion("zchjqtzc not like", value, "zchjqtzc");
            return (Criteria) this;
        }

        public Criteria andZchjqtzcIn(List<String> values) {
            addCriterion("zchjqtzc in", values, "zchjqtzc");
            return (Criteria) this;
        }

        public Criteria andZchjqtzcNotIn(List<String> values) {
            addCriterion("zchjqtzc not in", values, "zchjqtzc");
            return (Criteria) this;
        }

        public Criteria andZchjqtzcBetween(String value1, String value2) {
            addCriterion("zchjqtzc between", value1, value2, "zchjqtzc");
            return (Criteria) this;
        }

        public Criteria andZchjqtzcNotBetween(String value1, String value2) {
            addCriterion("zchjqtzc not between", value1, value2, "zchjqtzc");
            return (Criteria) this;
        }

        public Criteria andQmkcxjIsNull() {
            addCriterion("qmkcxj is null");
            return (Criteria) this;
        }

        public Criteria andQmkcxjIsNotNull() {
            addCriterion("qmkcxj is not null");
            return (Criteria) this;
        }

        public Criteria andQmkcxjEqualTo(String value) {
            addCriterion("qmkcxj =", value, "qmkcxj");
            return (Criteria) this;
        }

        public Criteria andQmkcxjNotEqualTo(String value) {
            addCriterion("qmkcxj <>", value, "qmkcxj");
            return (Criteria) this;
        }

        public Criteria andQmkcxjGreaterThan(String value) {
            addCriterion("qmkcxj >", value, "qmkcxj");
            return (Criteria) this;
        }

        public Criteria andQmkcxjGreaterThanOrEqualTo(String value) {
            addCriterion("qmkcxj >=", value, "qmkcxj");
            return (Criteria) this;
        }

        public Criteria andQmkcxjLessThan(String value) {
            addCriterion("qmkcxj <", value, "qmkcxj");
            return (Criteria) this;
        }

        public Criteria andQmkcxjLessThanOrEqualTo(String value) {
            addCriterion("qmkcxj <=", value, "qmkcxj");
            return (Criteria) this;
        }

        public Criteria andQmkcxjLike(String value) {
            addCriterion("qmkcxj like", value, "qmkcxj");
            return (Criteria) this;
        }

        public Criteria andQmkcxjNotLike(String value) {
            addCriterion("qmkcxj not like", value, "qmkcxj");
            return (Criteria) this;
        }

        public Criteria andQmkcxjIn(List<String> values) {
            addCriterion("qmkcxj in", values, "qmkcxj");
            return (Criteria) this;
        }

        public Criteria andQmkcxjNotIn(List<String> values) {
            addCriterion("qmkcxj not in", values, "qmkcxj");
            return (Criteria) this;
        }

        public Criteria andQmkcxjBetween(String value1, String value2) {
            addCriterion("qmkcxj between", value1, value2, "qmkcxj");
            return (Criteria) this;
        }

        public Criteria andQmkcxjNotBetween(String value1, String value2) {
            addCriterion("qmkcxj not between", value1, value2, "qmkcxj");
            return (Criteria) this;
        }

        public Criteria andQmkcascndhfxjIsNull() {
            addCriterion("qmkcascndhfxj is null");
            return (Criteria) this;
        }

        public Criteria andQmkcascndhfxjIsNotNull() {
            addCriterion("qmkcascndhfxj is not null");
            return (Criteria) this;
        }

        public Criteria andQmkcascndhfxjEqualTo(String value) {
            addCriterion("qmkcascndhfxj =", value, "qmkcascndhfxj");
            return (Criteria) this;
        }

        public Criteria andQmkcascndhfxjNotEqualTo(String value) {
            addCriterion("qmkcascndhfxj <>", value, "qmkcascndhfxj");
            return (Criteria) this;
        }

        public Criteria andQmkcascndhfxjGreaterThan(String value) {
            addCriterion("qmkcascndhfxj >", value, "qmkcascndhfxj");
            return (Criteria) this;
        }

        public Criteria andQmkcascndhfxjGreaterThanOrEqualTo(String value) {
            addCriterion("qmkcascndhfxj >=", value, "qmkcascndhfxj");
            return (Criteria) this;
        }

        public Criteria andQmkcascndhfxjLessThan(String value) {
            addCriterion("qmkcascndhfxj <", value, "qmkcascndhfxj");
            return (Criteria) this;
        }

        public Criteria andQmkcascndhfxjLessThanOrEqualTo(String value) {
            addCriterion("qmkcascndhfxj <=", value, "qmkcascndhfxj");
            return (Criteria) this;
        }

        public Criteria andQmkcascndhfxjLike(String value) {
            addCriterion("qmkcascndhfxj like", value, "qmkcascndhfxj");
            return (Criteria) this;
        }

        public Criteria andQmkcascndhfxjNotLike(String value) {
            addCriterion("qmkcascndhfxj not like", value, "qmkcascndhfxj");
            return (Criteria) this;
        }

        public Criteria andQmkcascndhfxjIn(List<String> values) {
            addCriterion("qmkcascndhfxj in", values, "qmkcascndhfxj");
            return (Criteria) this;
        }

        public Criteria andQmkcascndhfxjNotIn(List<String> values) {
            addCriterion("qmkcascndhfxj not in", values, "qmkcascndhfxj");
            return (Criteria) this;
        }

        public Criteria andQmkcascndhfxjBetween(String value1, String value2) {
            addCriterion("qmkcascndhfxj between", value1, value2, "qmkcascndhfxj");
            return (Criteria) this;
        }

        public Criteria andQmkcascndhfxjNotBetween(String value1, String value2) {
            addCriterion("qmkcascndhfxj not between", value1, value2, "qmkcascndhfxj");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiwuqIsNull() {
            addCriterion("qmkcerlingyiwuq is null");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiwuqIsNotNull() {
            addCriterion("qmkcerlingyiwuq is not null");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiwuqEqualTo(String value) {
            addCriterion("qmkcerlingyiwuq =", value, "qmkcerlingyiwuq");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiwuqNotEqualTo(String value) {
            addCriterion("qmkcerlingyiwuq <>", value, "qmkcerlingyiwuq");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiwuqGreaterThan(String value) {
            addCriterion("qmkcerlingyiwuq >", value, "qmkcerlingyiwuq");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiwuqGreaterThanOrEqualTo(String value) {
            addCriterion("qmkcerlingyiwuq >=", value, "qmkcerlingyiwuq");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiwuqLessThan(String value) {
            addCriterion("qmkcerlingyiwuq <", value, "qmkcerlingyiwuq");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiwuqLessThanOrEqualTo(String value) {
            addCriterion("qmkcerlingyiwuq <=", value, "qmkcerlingyiwuq");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiwuqLike(String value) {
            addCriterion("qmkcerlingyiwuq like", value, "qmkcerlingyiwuq");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiwuqNotLike(String value) {
            addCriterion("qmkcerlingyiwuq not like", value, "qmkcerlingyiwuq");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiwuqIn(List<String> values) {
            addCriterion("qmkcerlingyiwuq in", values, "qmkcerlingyiwuq");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiwuqNotIn(List<String> values) {
            addCriterion("qmkcerlingyiwuq not in", values, "qmkcerlingyiwuq");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiwuqBetween(String value1, String value2) {
            addCriterion("qmkcerlingyiwuq between", value1, value2, "qmkcerlingyiwuq");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiwuqNotBetween(String value1, String value2) {
            addCriterion("qmkcerlingyiwuq not between", value1, value2, "qmkcerlingyiwuq");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiliuIsNull() {
            addCriterion("qmkcerlingyiliu is null");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiliuIsNotNull() {
            addCriterion("qmkcerlingyiliu is not null");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiliuEqualTo(String value) {
            addCriterion("qmkcerlingyiliu =", value, "qmkcerlingyiliu");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiliuNotEqualTo(String value) {
            addCriterion("qmkcerlingyiliu <>", value, "qmkcerlingyiliu");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiliuGreaterThan(String value) {
            addCriterion("qmkcerlingyiliu >", value, "qmkcerlingyiliu");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiliuGreaterThanOrEqualTo(String value) {
            addCriterion("qmkcerlingyiliu >=", value, "qmkcerlingyiliu");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiliuLessThan(String value) {
            addCriterion("qmkcerlingyiliu <", value, "qmkcerlingyiliu");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiliuLessThanOrEqualTo(String value) {
            addCriterion("qmkcerlingyiliu <=", value, "qmkcerlingyiliu");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiliuLike(String value) {
            addCriterion("qmkcerlingyiliu like", value, "qmkcerlingyiliu");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiliuNotLike(String value) {
            addCriterion("qmkcerlingyiliu not like", value, "qmkcerlingyiliu");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiliuIn(List<String> values) {
            addCriterion("qmkcerlingyiliu in", values, "qmkcerlingyiliu");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiliuNotIn(List<String> values) {
            addCriterion("qmkcerlingyiliu not in", values, "qmkcerlingyiliu");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiliuBetween(String value1, String value2) {
            addCriterion("qmkcerlingyiliu between", value1, value2, "qmkcerlingyiliu");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiliuNotBetween(String value1, String value2) {
            addCriterion("qmkcerlingyiliu not between", value1, value2, "qmkcerlingyiliu");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiqiIsNull() {
            addCriterion("qmkcerlingyiqi is null");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiqiIsNotNull() {
            addCriterion("qmkcerlingyiqi is not null");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiqiEqualTo(String value) {
            addCriterion("qmkcerlingyiqi =", value, "qmkcerlingyiqi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiqiNotEqualTo(String value) {
            addCriterion("qmkcerlingyiqi <>", value, "qmkcerlingyiqi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiqiGreaterThan(String value) {
            addCriterion("qmkcerlingyiqi >", value, "qmkcerlingyiqi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiqiGreaterThanOrEqualTo(String value) {
            addCriterion("qmkcerlingyiqi >=", value, "qmkcerlingyiqi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiqiLessThan(String value) {
            addCriterion("qmkcerlingyiqi <", value, "qmkcerlingyiqi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiqiLessThanOrEqualTo(String value) {
            addCriterion("qmkcerlingyiqi <=", value, "qmkcerlingyiqi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiqiLike(String value) {
            addCriterion("qmkcerlingyiqi like", value, "qmkcerlingyiqi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiqiNotLike(String value) {
            addCriterion("qmkcerlingyiqi not like", value, "qmkcerlingyiqi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiqiIn(List<String> values) {
            addCriterion("qmkcerlingyiqi in", values, "qmkcerlingyiqi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiqiNotIn(List<String> values) {
            addCriterion("qmkcerlingyiqi not in", values, "qmkcerlingyiqi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiqiBetween(String value1, String value2) {
            addCriterion("qmkcerlingyiqi between", value1, value2, "qmkcerlingyiqi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyiqiNotBetween(String value1, String value2) {
            addCriterion("qmkcerlingyiqi not between", value1, value2, "qmkcerlingyiqi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyibaIsNull() {
            addCriterion("qmkcerlingyiba is null");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyibaIsNotNull() {
            addCriterion("qmkcerlingyiba is not null");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyibaEqualTo(String value) {
            addCriterion("qmkcerlingyiba =", value, "qmkcerlingyiba");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyibaNotEqualTo(String value) {
            addCriterion("qmkcerlingyiba <>", value, "qmkcerlingyiba");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyibaGreaterThan(String value) {
            addCriterion("qmkcerlingyiba >", value, "qmkcerlingyiba");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyibaGreaterThanOrEqualTo(String value) {
            addCriterion("qmkcerlingyiba >=", value, "qmkcerlingyiba");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyibaLessThan(String value) {
            addCriterion("qmkcerlingyiba <", value, "qmkcerlingyiba");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyibaLessThanOrEqualTo(String value) {
            addCriterion("qmkcerlingyiba <=", value, "qmkcerlingyiba");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyibaLike(String value) {
            addCriterion("qmkcerlingyiba like", value, "qmkcerlingyiba");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyibaNotLike(String value) {
            addCriterion("qmkcerlingyiba not like", value, "qmkcerlingyiba");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyibaIn(List<String> values) {
            addCriterion("qmkcerlingyiba in", values, "qmkcerlingyiba");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyibaNotIn(List<String> values) {
            addCriterion("qmkcerlingyiba not in", values, "qmkcerlingyiba");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyibaBetween(String value1, String value2) {
            addCriterion("qmkcerlingyiba between", value1, value2, "qmkcerlingyiba");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyibaNotBetween(String value1, String value2) {
            addCriterion("qmkcerlingyiba not between", value1, value2, "qmkcerlingyiba");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyijiuIsNull() {
            addCriterion("qmkcerlingyijiu is null");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyijiuIsNotNull() {
            addCriterion("qmkcerlingyijiu is not null");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyijiuEqualTo(String value) {
            addCriterion("qmkcerlingyijiu =", value, "qmkcerlingyijiu");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyijiuNotEqualTo(String value) {
            addCriterion("qmkcerlingyijiu <>", value, "qmkcerlingyijiu");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyijiuGreaterThan(String value) {
            addCriterion("qmkcerlingyijiu >", value, "qmkcerlingyijiu");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyijiuGreaterThanOrEqualTo(String value) {
            addCriterion("qmkcerlingyijiu >=", value, "qmkcerlingyijiu");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyijiuLessThan(String value) {
            addCriterion("qmkcerlingyijiu <", value, "qmkcerlingyijiu");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyijiuLessThanOrEqualTo(String value) {
            addCriterion("qmkcerlingyijiu <=", value, "qmkcerlingyijiu");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyijiuLike(String value) {
            addCriterion("qmkcerlingyijiu like", value, "qmkcerlingyijiu");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyijiuNotLike(String value) {
            addCriterion("qmkcerlingyijiu not like", value, "qmkcerlingyijiu");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyijiuIn(List<String> values) {
            addCriterion("qmkcerlingyijiu in", values, "qmkcerlingyijiu");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyijiuNotIn(List<String> values) {
            addCriterion("qmkcerlingyijiu not in", values, "qmkcerlingyijiu");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyijiuBetween(String value1, String value2) {
            addCriterion("qmkcerlingyijiu between", value1, value2, "qmkcerlingyijiu");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingyijiuNotBetween(String value1, String value2) {
            addCriterion("qmkcerlingyijiu not between", value1, value2, "qmkcerlingyijiu");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingerlingIsNull() {
            addCriterion("qmkcerlingerling is null");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingerlingIsNotNull() {
            addCriterion("qmkcerlingerling is not null");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingerlingEqualTo(String value) {
            addCriterion("qmkcerlingerling =", value, "qmkcerlingerling");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingerlingNotEqualTo(String value) {
            addCriterion("qmkcerlingerling <>", value, "qmkcerlingerling");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingerlingGreaterThan(String value) {
            addCriterion("qmkcerlingerling >", value, "qmkcerlingerling");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingerlingGreaterThanOrEqualTo(String value) {
            addCriterion("qmkcerlingerling >=", value, "qmkcerlingerling");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingerlingLessThan(String value) {
            addCriterion("qmkcerlingerling <", value, "qmkcerlingerling");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingerlingLessThanOrEqualTo(String value) {
            addCriterion("qmkcerlingerling <=", value, "qmkcerlingerling");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingerlingLike(String value) {
            addCriterion("qmkcerlingerling like", value, "qmkcerlingerling");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingerlingNotLike(String value) {
            addCriterion("qmkcerlingerling not like", value, "qmkcerlingerling");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingerlingIn(List<String> values) {
            addCriterion("qmkcerlingerling in", values, "qmkcerlingerling");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingerlingNotIn(List<String> values) {
            addCriterion("qmkcerlingerling not in", values, "qmkcerlingerling");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingerlingBetween(String value1, String value2) {
            addCriterion("qmkcerlingerling between", value1, value2, "qmkcerlingerling");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingerlingNotBetween(String value1, String value2) {
            addCriterion("qmkcerlingerling not between", value1, value2, "qmkcerlingerling");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingeryiIsNull() {
            addCriterion("qmkcerlingeryi is null");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingeryiIsNotNull() {
            addCriterion("qmkcerlingeryi is not null");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingeryiEqualTo(String value) {
            addCriterion("qmkcerlingeryi =", value, "qmkcerlingeryi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingeryiNotEqualTo(String value) {
            addCriterion("qmkcerlingeryi <>", value, "qmkcerlingeryi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingeryiGreaterThan(String value) {
            addCriterion("qmkcerlingeryi >", value, "qmkcerlingeryi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingeryiGreaterThanOrEqualTo(String value) {
            addCriterion("qmkcerlingeryi >=", value, "qmkcerlingeryi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingeryiLessThan(String value) {
            addCriterion("qmkcerlingeryi <", value, "qmkcerlingeryi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingeryiLessThanOrEqualTo(String value) {
            addCriterion("qmkcerlingeryi <=", value, "qmkcerlingeryi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingeryiLike(String value) {
            addCriterion("qmkcerlingeryi like", value, "qmkcerlingeryi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingeryiNotLike(String value) {
            addCriterion("qmkcerlingeryi not like", value, "qmkcerlingeryi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingeryiIn(List<String> values) {
            addCriterion("qmkcerlingeryi in", values, "qmkcerlingeryi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingeryiNotIn(List<String> values) {
            addCriterion("qmkcerlingeryi not in", values, "qmkcerlingeryi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingeryiBetween(String value1, String value2) {
            addCriterion("qmkcerlingeryi between", value1, value2, "qmkcerlingeryi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingeryiNotBetween(String value1, String value2) {
            addCriterion("qmkcerlingeryi not between", value1, value2, "qmkcerlingeryi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingererIsNull() {
            addCriterion("qmkcerlingerer is null");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingererIsNotNull() {
            addCriterion("qmkcerlingerer is not null");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingererEqualTo(String value) {
            addCriterion("qmkcerlingerer =", value, "qmkcerlingerer");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingererNotEqualTo(String value) {
            addCriterion("qmkcerlingerer <>", value, "qmkcerlingerer");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingererGreaterThan(String value) {
            addCriterion("qmkcerlingerer >", value, "qmkcerlingerer");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingererGreaterThanOrEqualTo(String value) {
            addCriterion("qmkcerlingerer >=", value, "qmkcerlingerer");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingererLessThan(String value) {
            addCriterion("qmkcerlingerer <", value, "qmkcerlingerer");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingererLessThanOrEqualTo(String value) {
            addCriterion("qmkcerlingerer <=", value, "qmkcerlingerer");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingererLike(String value) {
            addCriterion("qmkcerlingerer like", value, "qmkcerlingerer");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingererNotLike(String value) {
            addCriterion("qmkcerlingerer not like", value, "qmkcerlingerer");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingererIn(List<String> values) {
            addCriterion("qmkcerlingerer in", values, "qmkcerlingerer");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingererNotIn(List<String> values) {
            addCriterion("qmkcerlingerer not in", values, "qmkcerlingerer");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingererBetween(String value1, String value2) {
            addCriterion("qmkcerlingerer between", value1, value2, "qmkcerlingerer");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingererNotBetween(String value1, String value2) {
            addCriterion("qmkcerlingerer not between", value1, value2, "qmkcerlingerer");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingersanIsNull() {
            addCriterion("qmkcerlingersan is null");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingersanIsNotNull() {
            addCriterion("qmkcerlingersan is not null");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingersanEqualTo(String value) {
            addCriterion("qmkcerlingersan =", value, "qmkcerlingersan");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingersanNotEqualTo(String value) {
            addCriterion("qmkcerlingersan <>", value, "qmkcerlingersan");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingersanGreaterThan(String value) {
            addCriterion("qmkcerlingersan >", value, "qmkcerlingersan");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingersanGreaterThanOrEqualTo(String value) {
            addCriterion("qmkcerlingersan >=", value, "qmkcerlingersan");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingersanLessThan(String value) {
            addCriterion("qmkcerlingersan <", value, "qmkcerlingersan");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingersanLessThanOrEqualTo(String value) {
            addCriterion("qmkcerlingersan <=", value, "qmkcerlingersan");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingersanLike(String value) {
            addCriterion("qmkcerlingersan like", value, "qmkcerlingersan");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingersanNotLike(String value) {
            addCriterion("qmkcerlingersan not like", value, "qmkcerlingersan");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingersanIn(List<String> values) {
            addCriterion("qmkcerlingersan in", values, "qmkcerlingersan");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingersanNotIn(List<String> values) {
            addCriterion("qmkcerlingersan not in", values, "qmkcerlingersan");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingersanBetween(String value1, String value2) {
            addCriterion("qmkcerlingersan between", value1, value2, "qmkcerlingersan");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingersanNotBetween(String value1, String value2) {
            addCriterion("qmkcerlingersan not between", value1, value2, "qmkcerlingersan");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingersiIsNull() {
            addCriterion("qmkcerlingersi is null");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingersiIsNotNull() {
            addCriterion("qmkcerlingersi is not null");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingersiEqualTo(String value) {
            addCriterion("qmkcerlingersi =", value, "qmkcerlingersi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingersiNotEqualTo(String value) {
            addCriterion("qmkcerlingersi <>", value, "qmkcerlingersi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingersiGreaterThan(String value) {
            addCriterion("qmkcerlingersi >", value, "qmkcerlingersi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingersiGreaterThanOrEqualTo(String value) {
            addCriterion("qmkcerlingersi >=", value, "qmkcerlingersi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingersiLessThan(String value) {
            addCriterion("qmkcerlingersi <", value, "qmkcerlingersi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingersiLessThanOrEqualTo(String value) {
            addCriterion("qmkcerlingersi <=", value, "qmkcerlingersi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingersiLike(String value) {
            addCriterion("qmkcerlingersi like", value, "qmkcerlingersi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingersiNotLike(String value) {
            addCriterion("qmkcerlingersi not like", value, "qmkcerlingersi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingersiIn(List<String> values) {
            addCriterion("qmkcerlingersi in", values, "qmkcerlingersi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingersiNotIn(List<String> values) {
            addCriterion("qmkcerlingersi not in", values, "qmkcerlingersi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingersiBetween(String value1, String value2) {
            addCriterion("qmkcerlingersi between", value1, value2, "qmkcerlingersi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingersiNotBetween(String value1, String value2) {
            addCriterion("qmkcerlingersi not between", value1, value2, "qmkcerlingersi");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingerwuIsNull() {
            addCriterion("qmkcerlingerwu is null");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingerwuIsNotNull() {
            addCriterion("qmkcerlingerwu is not null");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingerwuEqualTo(String value) {
            addCriterion("qmkcerlingerwu =", value, "qmkcerlingerwu");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingerwuNotEqualTo(String value) {
            addCriterion("qmkcerlingerwu <>", value, "qmkcerlingerwu");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingerwuGreaterThan(String value) {
            addCriterion("qmkcerlingerwu >", value, "qmkcerlingerwu");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingerwuGreaterThanOrEqualTo(String value) {
            addCriterion("qmkcerlingerwu >=", value, "qmkcerlingerwu");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingerwuLessThan(String value) {
            addCriterion("qmkcerlingerwu <", value, "qmkcerlingerwu");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingerwuLessThanOrEqualTo(String value) {
            addCriterion("qmkcerlingerwu <=", value, "qmkcerlingerwu");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingerwuLike(String value) {
            addCriterion("qmkcerlingerwu like", value, "qmkcerlingerwu");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingerwuNotLike(String value) {
            addCriterion("qmkcerlingerwu not like", value, "qmkcerlingerwu");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingerwuIn(List<String> values) {
            addCriterion("qmkcerlingerwu in", values, "qmkcerlingerwu");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingerwuNotIn(List<String> values) {
            addCriterion("qmkcerlingerwu not in", values, "qmkcerlingerwu");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingerwuBetween(String value1, String value2) {
            addCriterion("qmkcerlingerwu between", value1, value2, "qmkcerlingerwu");
            return (Criteria) this;
        }

        public Criteria andQmkcerlingerwuNotBetween(String value1, String value2) {
            addCriterion("qmkcerlingerwu not between", value1, value2, "qmkcerlingerwu");
            return (Criteria) this;
        }

        public Criteria andQmkcxbzIsNull() {
            addCriterion("qmkcxbz is null");
            return (Criteria) this;
        }

        public Criteria andQmkcxbzIsNotNull() {
            addCriterion("qmkcxbz is not null");
            return (Criteria) this;
        }

        public Criteria andQmkcxbzEqualTo(String value) {
            addCriterion("qmkcxbz =", value, "qmkcxbz");
            return (Criteria) this;
        }

        public Criteria andQmkcxbzNotEqualTo(String value) {
            addCriterion("qmkcxbz <>", value, "qmkcxbz");
            return (Criteria) this;
        }

        public Criteria andQmkcxbzGreaterThan(String value) {
            addCriterion("qmkcxbz >", value, "qmkcxbz");
            return (Criteria) this;
        }

        public Criteria andQmkcxbzGreaterThanOrEqualTo(String value) {
            addCriterion("qmkcxbz >=", value, "qmkcxbz");
            return (Criteria) this;
        }

        public Criteria andQmkcxbzLessThan(String value) {
            addCriterion("qmkcxbz <", value, "qmkcxbz");
            return (Criteria) this;
        }

        public Criteria andQmkcxbzLessThanOrEqualTo(String value) {
            addCriterion("qmkcxbz <=", value, "qmkcxbz");
            return (Criteria) this;
        }

        public Criteria andQmkcxbzLike(String value) {
            addCriterion("qmkcxbz like", value, "qmkcxbz");
            return (Criteria) this;
        }

        public Criteria andQmkcxbzNotLike(String value) {
            addCriterion("qmkcxbz not like", value, "qmkcxbz");
            return (Criteria) this;
        }

        public Criteria andQmkcxbzIn(List<String> values) {
            addCriterion("qmkcxbz in", values, "qmkcxbz");
            return (Criteria) this;
        }

        public Criteria andQmkcxbzNotIn(List<String> values) {
            addCriterion("qmkcxbz not in", values, "qmkcxbz");
            return (Criteria) this;
        }

        public Criteria andQmkcxbzBetween(String value1, String value2) {
            addCriterion("qmkcxbz between", value1, value2, "qmkcxbz");
            return (Criteria) this;
        }

        public Criteria andQmkcxbzNotBetween(String value1, String value2) {
            addCriterion("qmkcxbz not between", value1, value2, "qmkcxbz");
            return (Criteria) this;
        }

        public Criteria andQmkcswccIsNull() {
            addCriterion("qmkcswcc is null");
            return (Criteria) this;
        }

        public Criteria andQmkcswccIsNotNull() {
            addCriterion("qmkcswcc is not null");
            return (Criteria) this;
        }

        public Criteria andQmkcswccEqualTo(String value) {
            addCriterion("qmkcswcc =", value, "qmkcswcc");
            return (Criteria) this;
        }

        public Criteria andQmkcswccNotEqualTo(String value) {
            addCriterion("qmkcswcc <>", value, "qmkcswcc");
            return (Criteria) this;
        }

        public Criteria andQmkcswccGreaterThan(String value) {
            addCriterion("qmkcswcc >", value, "qmkcswcc");
            return (Criteria) this;
        }

        public Criteria andQmkcswccGreaterThanOrEqualTo(String value) {
            addCriterion("qmkcswcc >=", value, "qmkcswcc");
            return (Criteria) this;
        }

        public Criteria andQmkcswccLessThan(String value) {
            addCriterion("qmkcswcc <", value, "qmkcswcc");
            return (Criteria) this;
        }

        public Criteria andQmkcswccLessThanOrEqualTo(String value) {
            addCriterion("qmkcswcc <=", value, "qmkcswcc");
            return (Criteria) this;
        }

        public Criteria andQmkcswccLike(String value) {
            addCriterion("qmkcswcc like", value, "qmkcswcc");
            return (Criteria) this;
        }

        public Criteria andQmkcswccNotLike(String value) {
            addCriterion("qmkcswcc not like", value, "qmkcswcc");
            return (Criteria) this;
        }

        public Criteria andQmkcswccIn(List<String> values) {
            addCriterion("qmkcswcc in", values, "qmkcswcc");
            return (Criteria) this;
        }

        public Criteria andQmkcswccNotIn(List<String> values) {
            addCriterion("qmkcswcc not in", values, "qmkcswcc");
            return (Criteria) this;
        }

        public Criteria andQmkcswccBetween(String value1, String value2) {
            addCriterion("qmkcswcc between", value1, value2, "qmkcswcc");
            return (Criteria) this;
        }

        public Criteria andQmkcswccNotBetween(String value1, String value2) {
            addCriterion("qmkcswcc not between", value1, value2, "qmkcswcc");
            return (Criteria) this;
        }

        public Criteria andDtcbIsNull() {
            addCriterion("dtcb is null");
            return (Criteria) this;
        }

        public Criteria andDtcbIsNotNull() {
            addCriterion("dtcb is not null");
            return (Criteria) this;
        }

        public Criteria andDtcbEqualTo(String value) {
            addCriterion("dtcb =", value, "dtcb");
            return (Criteria) this;
        }

        public Criteria andDtcbNotEqualTo(String value) {
            addCriterion("dtcb <>", value, "dtcb");
            return (Criteria) this;
        }

        public Criteria andDtcbGreaterThan(String value) {
            addCriterion("dtcb >", value, "dtcb");
            return (Criteria) this;
        }

        public Criteria andDtcbGreaterThanOrEqualTo(String value) {
            addCriterion("dtcb >=", value, "dtcb");
            return (Criteria) this;
        }

        public Criteria andDtcbLessThan(String value) {
            addCriterion("dtcb <", value, "dtcb");
            return (Criteria) this;
        }

        public Criteria andDtcbLessThanOrEqualTo(String value) {
            addCriterion("dtcb <=", value, "dtcb");
            return (Criteria) this;
        }

        public Criteria andDtcbLike(String value) {
            addCriterion("dtcb like", value, "dtcb");
            return (Criteria) this;
        }

        public Criteria andDtcbNotLike(String value) {
            addCriterion("dtcb not like", value, "dtcb");
            return (Criteria) this;
        }

        public Criteria andDtcbIn(List<String> values) {
            addCriterion("dtcb in", values, "dtcb");
            return (Criteria) this;
        }

        public Criteria andDtcbNotIn(List<String> values) {
            addCriterion("dtcb not in", values, "dtcb");
            return (Criteria) this;
        }

        public Criteria andDtcbBetween(String value1, String value2) {
            addCriterion("dtcb between", value1, value2, "dtcb");
            return (Criteria) this;
        }

        public Criteria andDtcbNotBetween(String value1, String value2) {
            addCriterion("dtcb not between", value1, value2, "dtcb");
            return (Criteria) this;
        }

        public Criteria andTypeIsNull() {
            addCriterion("type is null");
            return (Criteria) this;
        }

        public Criteria andTypeIsNotNull() {
            addCriterion("type is not null");
            return (Criteria) this;
        }

        public Criteria andTypeEqualTo(Integer value) {
            addCriterion("type =", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotEqualTo(Integer value) {
            addCriterion("type <>", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeGreaterThan(Integer value) {
            addCriterion("type >", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("type >=", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLessThan(Integer value) {
            addCriterion("type <", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLessThanOrEqualTo(Integer value) {
            addCriterion("type <=", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeIn(List<Integer> values) {
            addCriterion("type in", values, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotIn(List<Integer> values) {
            addCriterion("type not in", values, "type");
            return (Criteria) this;
        }

        public Criteria andTypeBetween(Integer value1, Integer value2) {
            addCriterion("type between", value1, value2, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("type not between", value1, value2, "type");
            return (Criteria) this;
        }

        public Criteria andBaobiaoshijianIsNull() {
            addCriterion("baobiaoshijian is null");
            return (Criteria) this;
        }

        public Criteria andBaobiaoshijianIsNotNull() {
            addCriterion("baobiaoshijian is not null");
            return (Criteria) this;
        }

        public Criteria andBaobiaoshijianEqualTo(String value) {
            addCriterion("baobiaoshijian =", value, "baobiaoshijian");
            return (Criteria) this;
        }

        public Criteria andBaobiaoshijianNotEqualTo(String value) {
            addCriterion("baobiaoshijian <>", value, "baobiaoshijian");
            return (Criteria) this;
        }

        public Criteria andBaobiaoshijianGreaterThan(String value) {
            addCriterion("baobiaoshijian >", value, "baobiaoshijian");
            return (Criteria) this;
        }

        public Criteria andBaobiaoshijianGreaterThanOrEqualTo(String value) {
            addCriterion("baobiaoshijian >=", value, "baobiaoshijian");
            return (Criteria) this;
        }

        public Criteria andBaobiaoshijianLessThan(String value) {
            addCriterion("baobiaoshijian <", value, "baobiaoshijian");
            return (Criteria) this;
        }

        public Criteria andBaobiaoshijianLessThanOrEqualTo(String value) {
            addCriterion("baobiaoshijian <=", value, "baobiaoshijian");
            return (Criteria) this;
        }

        public Criteria andBaobiaoshijianLike(String value) {
            addCriterion("baobiaoshijian like", value, "baobiaoshijian");
            return (Criteria) this;
        }

        public Criteria andBaobiaoshijianNotLike(String value) {
            addCriterion("baobiaoshijian not like", value, "baobiaoshijian");
            return (Criteria) this;
        }

        public Criteria andBaobiaoshijianIn(List<String> values) {
            addCriterion("baobiaoshijian in", values, "baobiaoshijian");
            return (Criteria) this;
        }

        public Criteria andBaobiaoshijianNotIn(List<String> values) {
            addCriterion("baobiaoshijian not in", values, "baobiaoshijian");
            return (Criteria) this;
        }

        public Criteria andBaobiaoshijianBetween(String value1, String value2) {
            addCriterion("baobiaoshijian between", value1, value2, "baobiaoshijian");
            return (Criteria) this;
        }

        public Criteria andBaobiaoshijianNotBetween(String value1, String value2) {
            addCriterion("baobiaoshijian not between", value1, value2, "baobiaoshijian");
            return (Criteria) this;
        }

        public Criteria andYuebaoornianbaoIsNull() {
            addCriterion("yuebaoornianbao is null");
            return (Criteria) this;
        }

        public Criteria andYuebaoornianbaoIsNotNull() {
            addCriterion("yuebaoornianbao is not null");
            return (Criteria) this;
        }

        public Criteria andYuebaoornianbaoEqualTo(Integer value) {
            addCriterion("yuebaoornianbao =", value, "yuebaoornianbao");
            return (Criteria) this;
        }

        public Criteria andYuebaoornianbaoNotEqualTo(Integer value) {
            addCriterion("yuebaoornianbao <>", value, "yuebaoornianbao");
            return (Criteria) this;
        }

        public Criteria andYuebaoornianbaoGreaterThan(Integer value) {
            addCriterion("yuebaoornianbao >", value, "yuebaoornianbao");
            return (Criteria) this;
        }

        public Criteria andYuebaoornianbaoGreaterThanOrEqualTo(Integer value) {
            addCriterion("yuebaoornianbao >=", value, "yuebaoornianbao");
            return (Criteria) this;
        }

        public Criteria andYuebaoornianbaoLessThan(Integer value) {
            addCriterion("yuebaoornianbao <", value, "yuebaoornianbao");
            return (Criteria) this;
        }

        public Criteria andYuebaoornianbaoLessThanOrEqualTo(Integer value) {
            addCriterion("yuebaoornianbao <=", value, "yuebaoornianbao");
            return (Criteria) this;
        }

        public Criteria andYuebaoornianbaoIn(List<Integer> values) {
            addCriterion("yuebaoornianbao in", values, "yuebaoornianbao");
            return (Criteria) this;
        }

        public Criteria andYuebaoornianbaoNotIn(List<Integer> values) {
            addCriterion("yuebaoornianbao not in", values, "yuebaoornianbao");
            return (Criteria) this;
        }

        public Criteria andYuebaoornianbaoBetween(Integer value1, Integer value2) {
            addCriterion("yuebaoornianbao between", value1, value2, "yuebaoornianbao");
            return (Criteria) this;
        }

        public Criteria andYuebaoornianbaoNotBetween(Integer value1, Integer value2) {
            addCriterion("yuebaoornianbao not between", value1, value2, "yuebaoornianbao");
            return (Criteria) this;
        }

        public Criteria andCjdwIsNull() {
            addCriterion("cjdw is null");
            return (Criteria) this;
        }

        public Criteria andCjdwIsNotNull() {
            addCriterion("cjdw is not null");
            return (Criteria) this;
        }

        public Criteria andCjdwEqualTo(String value) {
            addCriterion("cjdw =", value, "cjdw");
            return (Criteria) this;
        }

        public Criteria andCjdwNotEqualTo(String value) {
            addCriterion("cjdw <>", value, "cjdw");
            return (Criteria) this;
        }

        public Criteria andCjdwGreaterThan(String value) {
            addCriterion("cjdw >", value, "cjdw");
            return (Criteria) this;
        }

        public Criteria andCjdwGreaterThanOrEqualTo(String value) {
            addCriterion("cjdw >=", value, "cjdw");
            return (Criteria) this;
        }

        public Criteria andCjdwLessThan(String value) {
            addCriterion("cjdw <", value, "cjdw");
            return (Criteria) this;
        }

        public Criteria andCjdwLessThanOrEqualTo(String value) {
            addCriterion("cjdw <=", value, "cjdw");
            return (Criteria) this;
        }

        public Criteria andCjdwLike(String value) {
            addCriterion("cjdw like", value, "cjdw");
            return (Criteria) this;
        }

        public Criteria andCjdwNotLike(String value) {
            addCriterion("cjdw not like", value, "cjdw");
            return (Criteria) this;
        }

        public Criteria andCjdwIn(List<String> values) {
            addCriterion("cjdw in", values, "cjdw");
            return (Criteria) this;
        }

        public Criteria andCjdwNotIn(List<String> values) {
            addCriterion("cjdw not in", values, "cjdw");
            return (Criteria) this;
        }

        public Criteria andCjdwBetween(String value1, String value2) {
            addCriterion("cjdw between", value1, value2, "cjdw");
            return (Criteria) this;
        }

        public Criteria andCjdwNotBetween(String value1, String value2) {
            addCriterion("cjdw not between", value1, value2, "cjdw");
            return (Criteria) this;
        }

        public Criteria andCjsjIsNull() {
            addCriterion("cjsj is null");
            return (Criteria) this;
        }

        public Criteria andCjsjIsNotNull() {
            addCriterion("cjsj is not null");
            return (Criteria) this;
        }

        public Criteria andCjsjEqualTo(Date value) {
            addCriterion("cjsj =", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjNotEqualTo(Date value) {
            addCriterion("cjsj <>", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjGreaterThan(Date value) {
            addCriterion("cjsj >", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjGreaterThanOrEqualTo(Date value) {
            addCriterion("cjsj >=", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjLessThan(Date value) {
            addCriterion("cjsj <", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjLessThanOrEqualTo(Date value) {
            addCriterion("cjsj <=", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjIn(List<Date> values) {
            addCriterion("cjsj in", values, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjNotIn(List<Date> values) {
            addCriterion("cjsj not in", values, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjBetween(Date value1, Date value2) {
            addCriterion("cjsj between", value1, value2, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjNotBetween(Date value1, Date value2) {
            addCriterion("cjsj not between", value1, value2, "cjsj");
            return (Criteria) this;
        }
    }

    /**
     * ty_chubeilyynbao
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * ty_chubeilyynbao 2023-12-06
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}